# Uses of Interface
org.opensaml.saml.ext.saml2mdui.GeolocationHint

Packages that use GeolocationHint
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of GeolocationHint in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type GeolocationHint
Modifier and Type
Method
Description
`List<GeolocationHint>`
DiscoHints.`getGeolocationHints()`
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity.

## Uses of GeolocationHint in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement GeolocationHint
Modifier and Type
Class
Description
`class`
`GeolocationHintImpl`
Concrete implementation of `GeolocationHint`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return GeolocationHint
Modifier and Type
Method
Description
`GeolocationHint`
GeolocationHintBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`GeolocationHint`
GeolocationHintBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type GeolocationHint
Modifier and Type
Method
Description
`List<GeolocationHint>`
DiscoHintsImpl.`getGeolocationHints()`
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity.